%define pkgname   dirsrv
%define dist      .el7dsrv

Summary:          Red Hat Administration Server (admin)
Name:             redhat-ds-admin
Version:          10.3.0
Release:          1%{?dist}
License:          GPLv2
URL:              http://www.redhat.com/directory_server
Group:            System Environment/Daemons
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:    coreutils

Requires:         redhat-ds-base
Requires:         389-admin

Source0:          %{name}-%{version}.tar.bz2

%description
Red Hat Administration Server is an HTTP agent that provides management features
for Red Hat Directory Server.  It provides some management web apps that can
be used through a web browser.  It provides the authentication, access control,
and CGI utilities used by the console.

%prep
%setup -q -n %{name}-%{version}

%build

%install
rm -rf $RPM_BUILD_ROOT 

install -d $RPM_BUILD_ROOT%{_datadir}/%{pkgname}/inf
install -p -m 644 redhat-*.inf $RPM_BUILD_ROOT%{_datadir}/%{pkgname}/inf

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc LICENSE
%{_datadir}/%{pkgname}

%changelog
* Wed Aug 1 2018 Mark Reynolds <mreynolds@redhat.com> - 10.3.0-1.el7dsrv
- Release 10.3.0-1

* Fri Dec 8 2017 Mark Reynolds <mreynolds@redhat.com> - 10.2.0-2.el7dsrv
- Release 10.2.0-2

* Mon Nov 20 2017 Mark Reynolds <mreynolds@redhat.com> - 10.2.0-1.el7dsrv
- Release 10.2.0

* Sun Oct  9 2016 Noriko Hosoi <nhosoi@redhat.com> - 10.1.0-2.el7dsrv
- Release 10.1.0
- Rebuilt with tag dsrv-10.1-rhel-7-candidate

* Fri Sep  2 2016 Noriko Hosoi <nhosoi@redhat.com> - 10.1.0-1.el7dsrv
- bump version to 10.1.0

* Thu Dec 11 2014 Noriko Hosoi <nhosoi@redhat.com> - 10.0.0-1.el7dsrv
- fixed the package release number

* Tue Dec  9 2014 Noriko Hosoi <nhosoi@redhat.com> - 10.0.0-0.el7dsrv
- bump version to 10.0.0

* Mon Oct 28 2013 Kevin Wright <kwright@redhat.com> - 9.1.0-2.el7dsrv
- adding el7dsrv dist

* Tue Jan 29 2013 Noriko Hosoi <nhosoi@redhat.com> - 9.1.0-1
- bump version to 9.1.0

* Thu Jun 23 2011 Rich Megginson <rmeggins@redhat.com> - 9.0.0-0.2
- 389-admin not 389-ds-admin

* Thu Jun 16 2011 Rich Megginson <rmeggins@redhat.com> - 9.0.0-0.1
- convert to be a skin package wrapper around 389-ds-admin

* Tue Aug 21 2007 Rich Megginson <rmeggins@redhat.com> - 8.0.0-1.7.el5dsrv
- fix with-fhs-opt configure option

* Fri Aug 17 2007 Rich Megginson <rmeggins@redhat.com> - 8.0.0-1.6.el5dsrv
- remove curses
- make mod_admserv link against sasl
- add the usual .m4 files to mod_admserv instead of having all of
- the component logic in configure.in

* Thu Aug 16 2007 Rich Megginson <rmeggins@redhat.com> - 8.0.0-1.5.el5dsrv
- incorporate Noriko's migration fix

* Wed Aug 15 2007 Rich Megginson <rmeggins@redhat.com> - 8.0.0-1.4.el5dsrv
- fix several migration related problems

* Mon Aug 13 2007 Rich Megginson <rmeggins@redhat.com> - 8.0.0-1.3.el5dsrv
- There is no devel package, so remove unused .so files

* Mon Aug 13 2007 Rich Megginson <rmeggins@redhat.com> - 8.0.0-1.2.el5dsrv
- forgot to tag modules

* Fri Aug 10 2007 Rich Megginson <rmeggins@redhat.com> - 8.0.0-1.1.el5dsrv
- use pkgname of dirsrv for filesystem path naming
- get rid of devel package
- simplify files section

* Fri Aug 10 2007 Noriko Hosoi <nhosoi@redhat.com> -8.0.0-0.4.el5dsrv
- updated to latest sources
- upgraded the mozldap version to 6.0.4

* Wed Aug  8 2007 Noriko Hosoi <nhosoi@redhat.com> -8.0.0-0.3.el5dsrv
- removed cvsdate; set release to 3 to avoid the conflict

* Wed Aug  8 2007 Noriko Hosoi <nhosoi@redhat.com> -8.0.0-0.2.el5dsrv
- update to latest sources

* Mon Aug  6 2007 Rich Megginson <rmeggins@redhat.com> -8.0.0-0.1.el5dsrv
- update to latest sources

* Thu Aug  2 2007 Rich Megginson <rmeggins@redhat.com> -8.0.0-0.2.el5dsrv
- use correctly versioned source

* Thu Aug  2 2007 Rich Megginson <rmeggins@redhat.com> -8.0.0-0.1.el5dsrv
- version should be 8.0.0

* Thu Aug  2 2007 Rich Megginson <rmeggins@redhat.com> - 1.1.0-0.6.el5dsrv
- There are no files in bindir anymore
- forgot to prepend build root to java dir creation
- forgot to add mod_admserv and mod_restartd to source

* Thu Aug  2 2007 Rich Megginson <rmeggins@redhat.com> - 1.1.0-0.5.el5dsrv
- updated to latest sources - fix build breakage
- add console jars dir under html

* Thu Jul 26 2007 Rich Megginson <rmeggins@redhat.com> - 1.1.0-0.4.el5dsrv
- Only use --with-fortitude on rhel4

* Wed Jul 25 2007 Margaret Lum <mlum@redhat.com> - 1.1.0-0.3.el5dsrv
- Replace fortitude-mod_nss with plain 'ol mod_nss, mozldap6 -> mozldap

* Wed Jul 25 2007 Margaret Lum <mlum@redhat.com> - 1.1.0-0.2.el5dsrv
- Remove dirsec references

* Wed Jul 25 2007 Margaret Lum <mlum@redhat.com> - 1.1.0-0.1.el5dsrv
- Remove cvsdate from Release number

* Wed Jul 25 2007 Rich Megginson <rmeggins@redhat.com> - 1.1.0-0.1.20070725
- Initial version based on fedora-ds-admin.spec
